Summary:	An X Window System based multiplayer aerial combat game
Name:		xpilot
Version:	4.4.3
Release:	1mdk
License:	GPL
Group:		Games/Arcade
BuildRequires:	XFree86-devel

URL:		http://www.xpilot.org
Source0:	ftp://ftp.xpilot.org/pub/xpilot/xpilot-%version.tar.bz2
Source1:	%{name}-menu
Source2:	xpilot-16.xpm.bz2
Source3:	xpilot-32.xpm.bz2
Source4:	xpilot-48.xpm.bz2
Patch:		xpilot-4.4.3-config.patch.bz2
BuildRoot:	%{_tmppath}/xpilot-root

%description
Xpilot is an X Window System based multiplayer game of aerial combat.

The object of the game is to shoot each other down, or you can use the race 
mode to just fly around.

Xpilot resembles the Commodore 64 Thrust game, which is similar to Atari's
Gravitar and Asteriods (note: this is not misspelled).

Unless you already have an xpilot server on your network, you'll need to set up
the server on one machine, and then set up xpilot clients on all of the 
players' machines.

%prep

%setup -q
%patch -p1 -b .config

%build
xmkmf
make Makefiles
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install install.man

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_menudir}/%name
install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man{1,6}

# scheesh. cvs files.
find doc -name '.cvs*' | xargs rm -f {} \;

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt LICENSE README.txt.msub 
%doc doc
%{_prefix}/X11R6/bin/xpilots
%{_prefix}/X11R6/bin/xpilot
%{_prefix}/X11R6/bin/xp-mapedit
%{_prefix}/X11R6/bin/xp-replay
%{_prefix}/X11R6/lib/X11/xpilot
%{_prefix}/X11R6/man/man?/*
%{_menudir}/*
%{_miconsdir}/*
%{_liconsdir}/*
%{_iconsdir}/%{name}.xpm

%changelog
* Sun Nov 11 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.4.3-1mdk
- 4.4.3 for general consumption.

* Thu Aug 23 2001 David BAUDENS <baudens@mandrakesoft.com> 4.3.2-2mdk
- Used new icons
- Added missing file

* Tue May  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 4.3.2-1mdk
- version 4.3.2

* Sat Apr 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.3.1-2mdk
- Compile with RPM_OPT_FLAGS.
- Install the menu with a filename called xpilot, not xpilot-menu.

* Sat Apr 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.3.1-1mdk
- Bump version 4.3.1 into cooker.

* Wed Mar 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.0-9mdk
- Explicitly include time.h in src/server/netserver.c.

* Tue Nov 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.0-8mdk
- use optflags.

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 4.2.0-7mdk
- Fix Title in Menu entry
- Complete macros

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.0-6mdk
- rebuild to use the new macros.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.2.0-5mdk
- automatically added BuildRequires

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 4.2.0-4mdk
- Corrected menu entry.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 4.2.0-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 4.2.0-2mdk
- Added menu entry.

* Wed Mar 22 2000 dam's <damien@mandrakesoft.com> 4.2.0-1mdk
- updade to 4.2.0

* Fri Nov 5 1999 dam's <damien@mandrakesoft.com>
- Mandrake adaptation

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.1.0

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- add sparc
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Nov  3 1997 Otto Hammersmith <otto@redhat.com>
- made exlusivearch to i386

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
